# Team Round Details

This web socket endpoint returns the event-by-event data PER TEAM PER ROUND. You will need to make a connection for each team once per round. All of that team’s event-by-event data for that round will play out, and you should close the connection upon receiving the RoundFinished packet. This endpoint is in conjunction with the Live Events REST endpoint – when a team starts their round they will be included in the response to the /liveevents endpoint, and at that point you should commence connecting to the web socket for that team’s round live stream.

### Endpoint URL

Legacy - `wss://dde-streams.data.imgarena.com/golf/tournaments/{tournamentId}/round/{roundNo}/team/{teamId}` (Decommissioning on 30th Sept 2026)

**NEW** - `wss://dde-streams.data.srarena.io/golf/tournaments/{tournamentId}/round/{roundNo}/team/{teamId}`&#x20;

N.B – Please connect to wss\://dde-staging-streams-golf.srarena.io/golf/tournaments/99999/round/5/team/12 to get a sample one hole’s worth of data, including all of the mentioned keystrokes in the documentation.

**Process for connecting to the web socket endpoints**

* Connect to SSL websocket address
* Send JSON packet containing API token
* Receive response indicating that connection is authorised (or a response indicating why the connection cannot be made)
* Receive heartbeat packets every 10 seconds to verify the connection is live
* Receive data packets

Once you have the API token, any further data that you send over the connection will be ignored.

### Request Parameters

This endpoint currently takes no request parameters, we aim to add them, and once we have they will be detailed here.

### Response Model

There are a number of different types of packets that can be sent through this endpoint. They are detailed in the Round Details Scenarios section.

### Team Round details via RestAPI

Note that the team round details websockets is available via Rest -  `https://dde-streams.data.imgarena.com/golf/tournaments/{tournamentId}/round/{RoundNo}/team/{TeamID}?rest=true` (Decommissioning on 30th Sept 2026)

**NEW** - `https://dde-streams.data.srarena.io/golf/tournaments/{tournamentId}/round/{RoundNo}/team/{TeamID}?rest=true`

## Doc navigation

[← Team Hole-By-Hole Score](/golf/feed-specifications/endpoints-stream/team-hole-by-hole-score.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/golf/feed-specifications/endpoints-stream/team-round-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
